Arch Entferne Form

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch RemoveShape and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch RemoveShape.svg Form Entfernen

Menüeintrag
Architektur → Dienstprogramme → Entferne Form
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Vernetze zu Form


Beschreibung

Dieses Werkzeug versucht, die quaderförmige Innenstruktur einer Wand oder eines Bauelements zu entfernen und das Objekt durch Anpassen seiner Eigenschaften vollständig zu parametrisieren. Das Werkzeug funktioniert folglich nur, wenn die zugrundeliegende Form der eines Quaders entspricht (exakt 6 Flächen, nur rechte Winkel).

Anwendung

  1. Wählen Sie eine Wand oder ein Bauelement
  2. Drücken Sie die Schaltfläche Arch RemoveShape.svg Entferne Form unter Architektur → Dienstprogramme

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Dieses Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

removeShape(objs, mark=True)
  • Nimmt eine Liste von Arch-Objekten (objs) gebaut auf einem quaderförmigen Formteil und entfernt die inneren Formen, wobei Lnge, Breite und Höhe als Eigenschaften des Arch-Objekts beibehalten werden.
  • Falls mark den Wert True hat, werden Objekte rot markiert, wenn sie von dieser Funktion nicht bearbeitet werden können.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()